Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. Mono.Unix.UnixFileSystemInfo Represents information about a directory in the filesystem.

The class presents information about a directory. It also allows basic manipulations of filesystem structure:

Directory creation with .
Directory deletion (and optional file deletion) with .
Movement with .
Listing with and .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the directory to query.
  Creates a new instance containing information about the directory .

  The argument is permitted to specify relative or absolute path information. Relative path information is interpreted as relative to the current working directory. To obtain the current working directory, see .

  It is valid to construct objects for directories that do not exist or for files. However, attempts to use the instance may generate s. Use to see if exists and to ensure that is a directory.

  is .
  contains invalid characters; see .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Create the directory . This is identical to calling (). The Create obeys the process' value.

  Search permission is denied for a component of . []

  -or-

  Write permission is denied on the parent directory of . []

  A component of is not a directory. [] does not exist. []

  An I/O error occurred while making the file system entry or allocating the inode. []

  -or-

  An I/O error occurred while reading from or writing to the file system. []

  -or-

  The directory entry to be created resides in a read-only file system. []

  -or-

  cannot be created because there is no space left on the filesystem that will contain the directory. See . []

  -or-

  There are no free inodes on the file system on which the directory is being created. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  already exists. []

  -or-

  cannot be created because the user's quota of disk blocks on the file system that will contain the directory has been exhausted. []

  -or-

  cannot be created because the user's quota of inodes on the file system on which the directory is being created has been exhausted. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` A instance containing the file permissions the created directory should have. Create the directory . The Create obeys the process' value.

  Search permission is denied for a component of . []

  -or-

  Write permission is denied on the parent directory of . []

  A component of is not a directory. [] does not exist. []

  An I/O error occurred while making the file system entry or allocating the inode. []

  -or-

  An I/O error occurred while reading from or writing to the file system. []

  -or-

  The directory entry to be created resides in a read-only file system. []

  -or-

  cannot be created because there is no space left on the filesystem that will contain the directory. See . []

  -or-

  There are no free inodes on the file system on which the directory is being created. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  already exists. []

  -or-

  cannot be created because the user's quota of disk blocks on the file system that will contain the directory has been exhausted. []

  -or-

  cannot be created because the user's quota of inodes on the file system on which the directory is being created has been exhausted. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` A instance containing the file permissions the created directory should have. Create the directory .

  Search permission is denied for a component of . []

  -or-

  Write permission is denied on the parent directory of . []

  A component of is not a directory. [] does not exist. []

  An I/O error occurred while making the file system entry or allocating the inode. []

  -or-

  An I/O error occurred while reading from or writing to the file system. []

  -or-

  The directory entry to be created resides in a read-only file system. []

  -or-

  cannot be created because there is no space left on the filesystem that will contain the directory. See . []

  -or-

  There are no free inodes on the file system on which the directory is being created. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  already exists. []

  -or-

  cannot be created because the user's quota of disk blocks on the file system that will contain the directory has been exhausted. []

  -or-

  cannot be created because the user's quota of inodes on the file system on which the directory is being created has been exhausted. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` Specify to delete all files and sub-directories in ; otherwise, specify . Deletes and, if indicated, removes all files and directories within Deletes .

  is the default value for the parameter. Thus, is not a recursive delete.

  The filesystem containing does not support the removal of file system entries. []

  -or-

  The directory containing has the bit set and the process's is neither the uid of the file to be deleted nor that of the directory containing it. []

  Write access to the directory containing was not allowed for the processe's effective user id . []

  -or-

  One of the directories in did not have search (execute) permissions. []

  A component of is not a directory. [] does not exist. []

  contains files other than '.' and '..' in it. []

  -or-

  An I/O error occurred while deleting the file system entry or deallocating the inode. []

  -or-

  The directory entry to be removed resides in a read-only file system. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The directory to be removed is the mount point for a mounted filesystem. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Returns the application's current working directory.

  A containing the path of the current working directory.

  Permission to read or search a component of the current working directory was denied. [] The current working directory has been unlinked. []
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Dirent[] Returnes the directory entries of all file system entries in the directory. A array containing all file system entries within the directory.

  The field of the returned instances only contains the file system entry name, not the fully qualified file system entry name. Thus, to use these values in further code they must be qualified with , e.g. (, .).

  The process cannot access . [] is not a directory. [] doesn't exist, or is an empty string. []

  Insufficient memory to complete the operation. []

  -or-

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Dirent[] `` A containing a regular expression that is used for matching against directory entry names. Returnes the directory entries of all file system entries in the directory that match the provided regular expression . A array containing all file system entries within the directory.

  is matched against for all file system entries found.

  The field of the returned instances only contains the file system entry name, not the fully qualified file system entry name. Thus, to use these values in further code they must be qualified with , e.g. (, .).

  The process cannot access . [] is not a directory. [] doesn't exist, or is an empty string. []

  Insufficient memory to complete the operation. []

  -or-

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Dirent[] `` A instance which is used for matching against directory entry names. Returnes the directory entries of all file system entries in the directory that match the provided regular expression . A array containing all file system entries within the directory.

  is matched against for all file system entries found.

  The field of the returned instances only contains the file system entry name, not the fully qualified file system entry name. Thus, to use these values in further code they must be qualified with , e.g. (, .).

  The process cannot access . [] is not a directory. [] doesn't exist, or is an empty string. []

  Insufficient memory to complete the operation. []

  -or-

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixFileSystemInfo[] Returnes all the file system entries the directory. A array containing all file system entries within the directory. The process cannot access . [] is not a directory. [] doesn't exist, or is an empty string. []

  Insufficient memory to complete the operation. []

  -or-

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixFileSystemInfo[] `` A containing a regular expression that is used for matching against directory entry names. Returnes all the file system entries the directory. A array containing all file system entries within the directory. The process cannot access . [] is not a directory. [] doesn't exist, or is an empty string. []

  Insufficient memory to complete the operation. []

  -or-

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixFileSystemInfo[] `` A instance which is used for matching against directory entry names. Returnes all the file system entries the directory. A array containing all file system entries within the directory. The process cannot access . [] is not a directory. [] doesn't exist, or is an empty string. []

  Insufficient memory to complete the operation. []

  -or-

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixDirectoryInfo Gets information about the parent directory. If the parent directory can be found, a instance containing information about the parent directory. Otherwise, is returned.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixDirectoryInfo Gets the path root component of . A containing information about the path root component for . This is generally identical to new ("/").
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` A containing the path to which the current working directory is set. Sets the application's current working directory to the specified directory.

  The argument is permitted to specify relative or absolute path information. Relative path information is interpreted as relative to the current working directory. To obtain the current working directory, see .

  The process cannot access . [] A component of is not a directory. [] does not exist. [] is too long. [] An I/O error occurred. [] Too many symbolic links were encountered in resolving . []